Bug 1256810 - graphical glitches using Gnome on X11 intel i915
graphical glitches using Gnome on X11 intel i915
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 09:41 EDT by Matthieu Gautier
Modified: 2016-07-19 13:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:39:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
graphical glitches video (17.25 MB, video/x-theora+ogg)
2015-08-25 09:41 EDT, Matthieu Gautier
no flags Details
Few information about versions and hardware (8.42 KB, text/plain)
2015-08-25 10:04 EDT, Matthieu Gautier
no flags Details

  None (edit)
Description Matthieu Gautier 2015-08-25 09:41:24 EDT
Created attachment 1066877 [details]
graphical glitches video

Description of problem:
Graphical glitches appear randomly.

It's seems as if an old version of the screen is used instead of the right current one.

Everything else (pointer/keyboard input) work as if there were no glitches.

Atl-tab to change focused windows fix the actual glitches (but doesn't prevent news to come)

see attached video.

Version-Release number of selected component (if applicable):
Fedora 22

How reproducible:
Glitches appear frequently but I've no exact "always reproducer"
On the video, loading a stackoverflow page seems to reproduce the bug
but not all the time and I can have the bug without it.


Expected results:
No glitches

Additional info:
I'm using a MacBook Pro with a intel and a AMD video cards.
I deactivate the AMD card and use the intel one using this modification to grub : https://bugzilla.redhat.com/show_bug.cgi?id=765954#c62

First appearance of the bug I recall is from 31 July 2015. No problem before.
Using gnome-shell wayland, no glitch.
Comment 1 Matthieu Gautier 2015-08-25 10:04:18 EDT
Created attachment 1066882 [details]
Few information about versions and hardware
Comment 2 Matthieu Gautier 2015-09-25 10:56:08 EDT
dmesg contains several times those messages and it seems to correspond to when the glitches appear:

[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
Comment 3 Fedora End Of Life 2016-07-19 13:39:24 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.